D4Science Infrastructure - Incident #8411

mongodb production, problem with backup
May 08, 2017 12:04 PM - Tommaso Piccioli

Status: Closed Start date: May 08, 2017
Priority: Urgent Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

Il backup di mongo si & interrotto in modo anomalo durante questo fine settimana, sto indagando sulle possibili cause.
Al momento ci manca un backup completo dei dati almeno dal 4 maggio (c'é€ un backup parziale il 6 maggio).

History

#1 - May 08, 2017 02:53 PM - Roberto Cirillo

I've checked the mongo5-p-d4s instance and it is correctly synchronized with the primary node.

#2 - May 08, 2017 06:12 PM - Tommaso Piccioli

- Status changed from New to In Progress

We are going to test it with a longer timeout config, next backup will start 19:53 today.

#3 - May 12, 2017 12:43 PM - Tommaso Piccioli
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

It seems to be solved with tar over ssh transfer method instead of rsync.
I will check again after week-end

#4 - May 15, 2017 09:53 AM - Pasquale Pagano

- Status changed from Resolved to Closed

#5 - May 15, 2017 11:38 AM - Tommaso Piccioli

During the week-end mongo backup with the rsync method was OK (full and iocremental)
Restored the rsync method bcause it is faster.

Probably there was a corrupted file in a old backup that prevent the rsync differential mechanism towork correctly, using the tar method for a single
full backup solved this issue.
